## ros-melodic-voxel-grid 1.16.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(voxel_grid)

include(CheckIncludeFile)

find_package(catkin REQUIRED
  COMPONENTS
    roscpp
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    voxel_grid
  CATKIN_DEPENDS
    roscpp
)

include_directories(include ${catkin_INCLUDE_DIRS})

check_include_file(sys/time.h HAVE_SYS_TIME_H)
if (HAVE_SYS_TIME_H)
  add_definitions(-DHAVE_SYS_TIME_H)
endif (HAVE_SYS_TIME_H)

add_library(voxel_grid src/voxel_grid.cpp)
add_dependencies(voxel_grid ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(voxel_grid ${catkin_LIBRARIES})

install(TARGETS voxel_grid
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(voxel_grid_tests test/voxel_grid_tests.cpp)
  target_link_libraries(voxel_grid_tests
    voxel_grid
    ${catkin_LIBRARIES}
  )
endif()

=== debian/changelog ===
ros-melodic-voxel-grid (1.16.7-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-melodic-voxel-grid (1.16.6-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 04:00:00 -0000

ros-melodic-voxel-grid (1.16.5-1bionic) bionic; urgency=high

  * Fix Uknown CMake command check_include_file (#974 <https://github.com/ros-planning/navigation/issues/974>)
  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sam Pfeiffer, Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 04:00:00 -0000

ros-melodic-voxel-grid (1.16.4-1bionic) bionic; urgency=high

  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-voxel-grid (1.16.3-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-melodic-voxel-grid (1.16.2-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 04:00:00 -0000

ros-melodic-voxel-grid (1.16.1-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 04:00:00 -0000

ros-melodic-voxel-grid (1.16.0-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 04:00:00 -0000

ros-melodic-voxel-grid (1.15.2-1bionic) bionic; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 04:00:00 -0000

ros-melodic-voxel-grid (1.15.1-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-melodic-voxel-grid (1.15.0-1bionic) bionic; urgency=high

  * convert packages to format2
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Contributors: Martin Günther, Mikael Arguedas

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-melodic-voxel-grid (1.14.0-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-melodic-voxel-grid (1.13.1-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-melodic-voxel-grid (1.13.0-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-melodic-voxel-grid (1.12.0-1bionic) bionic; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-melodic-voxel-grid (1.11.15-1bionic) bionic; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-melodic-voxel-grid (1.11.14-1bionic) bionic; urgency=high

  * remove old test code
  * fixup voxel_grid.h formatting (whitespace changes ONLY)
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-melodic-voxel-grid (1.11.13-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-melodic-voxel-grid (1.11.12-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-melodic-voxel-grid (1.11.11-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-melodic-voxel-grid (1.11.10-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-melodic-voxel-grid (1.11.9-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000

ros-melodic-voxel-grid (1.11.8-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-melodic-voxel-grid (1.11.7-1bionic) bionic; urgency=high

  * uses %u instead of %d for unsigned int
  * Contributors: enriquefernandez

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-melodic-voxel-grid (1.11.5-1bionic) bionic; urgency=high

  * Misc. other commits from Groovy Branch
  * check for CATKIN_ENABLE_TESTING
  * Change maintainer from Hersh to Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Jan 2014 05:00:00 -0000

ros-melodic-voxel-grid (1.11.4-1bionic) bionic; urgency=high

  * Package URL Updates

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-voxel-grid
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin (>= 0.5.68), ros-melodic-roscpp, ros-melodic-rosunit
Homepage: http://wiki.ros.org/voxel_grid
Standards-Version: 3.9.2

Package: ros-melodic-voxel-grid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-roscpp
Description: voxel_grid provides an implementation of an efficient 3D voxel grid.
 The occupancy grid can support 3 different representations for the state of a cell: marked, free, or unknown. Due to the underlying implementation relying on bitwise and and or integer operations, the voxel grid only supports 16 different levels per voxel column. However, this limitation yields raytracing and cell marking performance in the grid comparable to standard 2D structures making it quite fast compared to most 3D structures.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-voxel-grid//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
